#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  SoundTouch-2.2

- Next

  Taglib-1.12

- Up
- Home

# Speex-1.2.0

## Introduction to Speex

Speex is an audio compression format designed especially for speech. It is well-adapted to internet applications and provides useful features that are not present in most other CODECs.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.xiph.org/releases/speex/speex-1.2.0.tar.gz

- Download MD5 sum: 8ab7bb2589110dfaf0ed7fa7757dc49c

- Download size: 884 KB

- Estimated disk space required: 4.5 MB

- Estimated build time: less than 0.1 SBU

### Additional Downloads

- Download (HTTP): https://downloads.xiph.org/releases/speex/speexdsp-1.2.0.tar.gz

- Download MD5 sum: b722df341576dc185d897131321008fc

- Download size: 900 KB

- Estimated disk space required: 5.2 MB

- Estimated build time: less than 0.1 SBU

### Speex Dependencies

#### Required

libogg-1.3.4

#### Optional

Valgrind-3.16.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/speex

## Installation of Speex

This package consists of two separate tarballs. They need to be extracted and built independently.

Install Speex by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/speex-1.2.0 &&
    make

This package does not come with a test suite.

As the `root` user:

    make install

Now extract and install the speexdsp package:

    cd ..                          &&
    tar -xf speexdsp-1.2.0.tar.gz &&
    cd speexdsp-1.2.0             &&

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/speexdsp-1.2.0 &&
    make

Again, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-binaries`: Builds two binaries to encode and decode to and from the speex format.

## Contents

Installed Programs: (optional) speexenc and speexdec
Installed Libraries: libspeex.so and libspeexdsp.so
Installed Directories: /usr/include/speex and /usr/share/doc/speex-1.2.0

### Short Descriptions

speexdec | decodes a Speex file and produces a WAV or raw file
speexenc | encodes a WAV or raw files using Speex
`libspeex.so` | provides functions for the audio encoding/decoding programs
`libspeexdsp.so` | is a speech processing library that goes along with the Speex codec

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  SoundTouch-2.2

- Next

  Taglib-1.12

- Up
- Home